Page MenuHomeFreeBSD

[NEW PORT]: net/v2ray: Platform for building proxies to bypass network restrictions
ClosedPublic

Authored by loader on Feb 2 2019, 7:35 PM.

Details

Summary

Proposed commit log message:

[NEW PORT]: net/v2ray: Platform for building proxies to bypass network restrictions

Project V is a set of network tools that help you to build your
own computer network. It secures your network connections and
thus protects your privacy.

WWW: https://www.v2ray.com

PR: 235418
Submitted by: Yanhui Shen <shen.elf@gmail.com>
Reviewed_by: koobs, mat
Approved by: koobs (mentor)
Differential_Revision: D19066
Test Plan
  • portlint: OK (looks fine.)
  • testport: OK (poudriere: 1300008, amd64, '', tested)

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

loader created this revision.Feb 2 2019, 7:35 PM
loader edited the summary of this revision. (Show Details)Feb 2 2019, 7:37 PM
mat added inline comments.Feb 2 2019, 8:27 PM
net/v2ray/Makefile
8 ↗(On Diff #53545)

As the distname is not versionned, you should add the port version to this.

19 ↗(On Diff #53545)

WRKSRC_SUBDIR.

loader edited the summary of this revision. (Show Details)Feb 3 2019, 6:18 AM
loader updated this revision to Diff 53553.

DIST_SUBDIR= ${PORTNAME}-${PORTVERSION}

loader marked an inline comment as done.Feb 3 2019, 6:20 AM
loader added inline comments.
net/v2ray/Makefile
8 ↗(On Diff #53545)

Thanks @mat.

19 ↗(On Diff #53545)

This one was trying to set ${EXTRACT_WRKDIR} to ${WRKDIR}/src

The default GOPATH is ${WRKDIR} in ${GO_ENV}:
https://svnweb.freebsd.org/ports/head/Mk/Uses/go.mk?revision=478076&view=markup#l61

61      GO_ENV+=        GOPATH="${WRKDIR}:${LOCAL_GOPATH}" \
62                      CGO_CFLAGS="${CGO_CFLAGS}" \
63                      CGO_LDFLAGS="${CGO_LDFLAGS}" \
64                      GOBIN=""

Go loads the packages from GOPATH/src (https://github.com/golang/go/wiki/GOPATH):

# make 
===>  Building for v2ray-4.14.0
can't load package: package v2ray.com/core/main: cannot find package "v2ray.com/core/main" in any of:
        /usr/local/go/src/v2ray.com/core/main (from $GOROOT)
        /usr/ports/net/v2ray/work/src/v2ray.com/core/main (from $GOPATH)
        /usr/local/share/go/src/v2ray.com/core/main
*** Error code 1
loader edited the summary of this revision. (Show Details)Feb 7 2019, 6:03 AM
koobs accepted this revision.May 7 2019, 4:51 AM
This revision is now accepted and ready to land.May 7 2019, 4:51 AM
loader marked an inline comment as done.May 8 2019, 3:10 AM

Thanks @koobs.

This revision was automatically updated to reflect the committed changes.
mat added inline comments.May 8 2019, 9:40 AM
head/net/v2ray/Makefile
20

Why +=?

26–32

This should be in a pkg-plist file.

Thanks @mat, I just updated them in D20238.